Loading...
Searching...
No Matches
OutputStream Struct Reference

## Data Fields

AVStream * | st
AVCodecContext * | enc
int64_t | next_pts
int | samples_count
AVFrame * | frame
AVFrame * | tmp_frame
AVPacket * | tmp_pkt
float | t
float | tincr
float | tincr2
struct SwsContext * | sws_ctx
struct SwrContext * | swr_ctx

## Detailed Description

Examples
  mux.c.

Definition at line 53 of file mux.c.

## Field Documentation

## st

AVStream* OutputStream::st

Examples
  mux.c.

Definition at line 54 of file mux.c.

## enc

AVCodecContext* OutputStream::enc

Examples
  mux.c.

Definition at line 55 of file mux.c.

Referenced by main().

## next_pts

int64_t OutputStream::next_pts

Examples
  mux.c.

Definition at line 58 of file mux.c.

Referenced by main().

## samples_count

int OutputStream::samples_count

Examples
  mux.c.

Definition at line 59 of file mux.c.

## frame

AVFrame* OutputStream::frame

Examples
  mux.c.

Definition at line 61 of file mux.c.

## tmp_frame

AVFrame* OutputStream::tmp_frame

Examples
  mux.c.

Definition at line 62 of file mux.c.

## tmp_pkt

AVPacket* OutputStream::tmp_pkt

Examples
  mux.c.

Definition at line 64 of file mux.c.

## t

float OutputStream::t

Examples
  mux.c.

Definition at line 66 of file mux.c.

## tincr

float OutputStream::tincr

Examples
  mux.c.

Definition at line 66 of file mux.c.

## tincr2

float OutputStream::tincr2

Examples
  mux.c.

Definition at line 66 of file mux.c.

## sws_ctx

struct SwsContext* OutputStream::sws_ctx

Examples
  mux.c.

Definition at line 68 of file mux.c.

## swr_ctx

struct SwrContext* OutputStream::swr_ctx

Examples
  mux.c.

Definition at line 69 of file mux.c.

The documentation for this struct was generated from the following file:

- doc/examples/mux.c